VRECategory (gCube Join VRE Portlet 2.0.0-SNAPSHOT API)
Date: 2016-03-17

org.gcube.portlets.user.joinvre.shared

## Class VRECategory

- java.lang.Object
- - org.gcube.portlets.user.joinvre.shared.VRECategory

- All Implemented Interfaces:
    Serializable, Comparable<VRECategory>

      public class VRECategory
      extends Object
      implements Serializable, Comparable<VRECategory>

  Author:
    Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `categoryID`
    `protected String` | `description`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VRECategory()`
    `VRECategory(long categoryID, String name, String description)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(VRECategory vreCategory)`
    `long` | `getCategoryID()`
    `String` | `getDescription()`
    `String` | `getName()`
    `void` | `setCategoryID(long categoryID)`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### categoryID

          protected long categoryID

    - #### name

          protected String name

    - #### description

          protected String description

  - ### Constructor Detail

    - #### VRECategory

          public VRECategory()

    - #### VRECategory

          public VRECategory(long categoryID,
                     String name,
                     String description)

  - ### Method Detail

    - #### getCategoryID

          public long getCategoryID()

    - #### setCategoryID

          public void setCategoryID(long categoryID)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### compareTo

          public int compareTo(VRECategory vreCategory)

      Specified by:
        `compareTo` in interface `Comparable<VRECategory>`

Copyright © 2016. All Rights Reserved.